
Core - Bug # 49256

Status: Resolved Priority: Should have
Author: Alexander Opitz Category: Install Tool
Created: 2013-06-19 Assigned To: Alexander Opitz
Updated: 2013-06-30 Due date:
TYPO3 Version: 6.0
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Update Wizard "Install System Extensions" shown in opposite of need.
Description

If you do not have all system extensions active, which are recommended by the 'Install System Extensions' (like simulatestatic) the
update wizard will be always present. On the other side, if not all recommended extensions are shown till yet, the update wizard isn't
present.

Test 1:

- Deactivate "simulatestatic" 
- Look at Update Wizard
- "Install System Extension" is always present, also if you perform the wizard with unselecting simulatestatic.
- The wizard is not present if you activate all recommended system extensions.

Test 2:
- Deactivate "simulatestatic" 
- In File LocalConfiguration.php in section => 'INSTALL' => 'wizardDone' => 'TYPO3\CMS\Install\CoreUpdates\InstallSysExtsUpdate',
remove an application (for example "recycler").
- "Install System Extension" isn't present, but should, as "recycler" wasn't shown as recommended extension till yet.

Related issues:
related to Core - Bug # 47734: Workspaces and Versioning get installed by def... Resolved 2013-04-30

Associated revisions
Revision 45bd6239 - 2013-06-30 17:38 - Helmut Hummel

[BUGFIX] Do not show System Extensions Wizard when done

The check if the wizard has been executed before and
includes all available system extensions have been installed
is wrong. Rather than casting to bool, we should
check if the difference between "seen extensions" and
available system extensions is an empty array.

This correctly shows the wizard when not finished and
hides it when finished.

Resolves: #49256
Releases: 6.2, 6.1, 6.0
Change-Id: I7bd655b2b7eeaaa5b1dd91e80564f150b1d0d038
Reviewed-on: https://review.typo3.org/21509
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision ae3220e7 - 2013-06-30 17:40 - Helmut Hummel

[BUGFIX] Do not show System Extensions Wizard when done

The check if the wizard has been executed before and
includes all available system extensions have been installed
is wrong. Rather than casting to bool, we should
check if the difference between "seen extensions" and
available system extensions is an empty array.

This correctly shows the wizard when not finished and
hides it when finished.

Resolves: #49256
Releases: 6.2, 6.1, 6.0
Change-Id: I7bd655b2b7eeaaa5b1dd91e80564f150b1d0d038
Reviewed-on: https://review.typo3.org/21751
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Revision f57b189f - 2013-06-30 17:41 - Helmut Hummel

[BUGFIX] Do not show System Extensions Wizard when done

The check if the wizard has been executed before and
includes all available system extensions have been installed
is wrong. Rather than casting to bool, we should
check if the difference between "seen extensions" and
available system extensions is an empty array.

This correctly shows the wizard when not finished and
hides it when finished.

Resolves: #49256
Releases: 6.2, 6.1, 6.0
Change-Id: I7bd655b2b7eeaaa5b1dd91e80564f150b1d0d038
Reviewed-on: https://review.typo3.org/21752
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History
#1 - 2013-06-19 18:09 - Alexander Opitz
- Assigned To set to Alexander Opitz

#2 - 2013-06-19 18:09 - Alexander Opitz
- TYPO3 Version changed from 6.1 to 6.0

#3 - 2013-06-19 18:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21509

#4 - 2013-06-30 16:39 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21509

#5 - 2013-06-30 16:40 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21509

#6 - 2013-06-30 16:42 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21509

#7 - 2013-06-30 17:39 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-1 has been pushed to the review server.
It is available at https://review.typo3.org/21751

#8 - 2013-06-30 17:40 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 has been pushed to the review server.
It is available at https://review.typo3.org/21752

#9 - 2013-06-30 18:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:f57b189f47efe15f11dd52f1ceebb891c79beb19.
